# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test;
BEGIN { plan tests => 1 };
use PSkan::Wireless;
ok(1); # If we made it this far, we're ok.

#########################

# Insert your test code below, the Test module is use()ed here so read
# its man page ( perldoc Test ) for help writing this test script.

use Socket;
use IO::Socket;

my $sock = socket(S, AF_INET, SOCK_DGRAM, 0);
my $s = S->fileno;

$essid = wireless_get_essid($s, "eth0");
print    " ESSID = $essid\n";

$stat  = wireless_set_essid($s, "eth0", "My Network");
print    " Set ESSID to \"My Network\"\n";

$stat  = wireless_set_essid($s, "eth0", undef);
print    " Set ESSID to null to initiate scan\n";

print "\n";
